/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { ResourceContentPageDto } from './resource-content-page-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ResourceCreationPageDto } from './resource-creation-page-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ResourceTypeStatus } from './resource-type-status';

/**
 * Represents information about a resource type.
 * @export
 * @interface ResourceTypeInformationDto
 */
export interface ResourceTypeInformationDto {
    /**
     * The unique identifier of the resource type.
     * @type {string}
     * @memberof ResourceTypeInformationDto
     */
    'id'?: string;
    /**
     * The general type of the resource.
     * @type {string}
     * @memberof ResourceTypeInformationDto
     */
    'generalType'?: string | null;
    /**
     * The specific type of the resource.
     * @type {string}
     * @memberof ResourceTypeInformationDto
     */
    'specificType'?: string | null;
    /**
     * 
     * @type {ResourceTypeStatus}
     * @memberof ResourceTypeInformationDto
     */
    'status'?: ResourceTypeStatus;
    /**
     * Indicates if the resource type supports creation.
     * @type {boolean}
     * @memberof ResourceTypeInformationDto
     */
    'canCreate'?: boolean;
    /**
     * Indicates if the resource type supports reading.
     * @type {boolean}
     * @memberof ResourceTypeInformationDto
     */
    'canRead'?: boolean;
    /**
     * Indicates if the resource type supports read-only.
     * @type {boolean}
     * @memberof ResourceTypeInformationDto
     */
    'canSetResourceReadonly'?: boolean;
    /**
     * Indicates if the resource type supports updating.
     * @type {boolean}
     * @memberof ResourceTypeInformationDto
     */
    'canUpdate'?: boolean;
    /**
     * Indicates if the resource type supports updating (not an Object).
     * @type {boolean}
     * @memberof ResourceTypeInformationDto
     */
    'canUpdateResource'?: boolean;
    /**
     * Indicates if the resource type supports deletion.
     * @type {boolean}
     * @memberof ResourceTypeInformationDto
     */
    'canDelete'?: boolean;
    /**
     * Indicates if the resource type supports deletion (not an Object).
     * @type {boolean}
     * @memberof ResourceTypeInformationDto
     */
    'canDeleteResource'?: boolean;
    /**
     * Indicates if the resource type supports listing.
     * @type {boolean}
     * @memberof ResourceTypeInformationDto
     */
    'canList'?: boolean;
    /**
     * Indicates if the resource type supports linking.
     * @type {boolean}
     * @memberof ResourceTypeInformationDto
     */
    'canCreateLinks'?: boolean;
    /**
     * Indicates whether local backup of metadata is supported.
     * @type {boolean}
     * @memberof ResourceTypeInformationDto
     */
    'canCopyLocalMetadata'?: boolean;
    /**
     * Indicates if the resource type is archived.
     * @type {boolean}
     * @memberof ResourceTypeInformationDto
     */
    'isArchived'?: boolean;
    /**
     * Indicates if the resource type supports quota.
     * @type {boolean}
     * @memberof ResourceTypeInformationDto
     */
    'isQuotaAvailable'?: boolean;
    /**
     * Indicates if the resource type quota can be changed.
     * @type {boolean}
     * @memberof ResourceTypeInformationDto
     */
    'isQuotaAdjustable'?: boolean;
    /**
     * Indicates if the resource type is enabled.
     * @type {boolean}
     * @memberof ResourceTypeInformationDto
     */
    'isEnabled'?: boolean;
    /**
     * 
     * @type {ResourceCreationPageDto}
     * @memberof ResourceTypeInformationDto
     */
    'resourceCreation'?: ResourceCreationPageDto;
    /**
     * 
     * @type {ResourceContentPageDto}
     * @memberof ResourceTypeInformationDto
     */
    'resourceContent'?: ResourceContentPageDto;
}



